pappso::PeakIonIsotopeMatch Class Reference

`#include <peakionisotopematch.h>`

Inheritance diagram for pappso::PeakIonIsotopeMatch:

## Public Member Functions

| PeakIonIsotopeMatch (const DataPoint &peak, const PeptideNaturalIsotopeAverageSp &naturalIsotopeAverageSp, const PeptideFragmentIonSp &ion_sp)
| PeakIonIsotopeMatch (const PeakIonIsotopeMatch &other)
virtual | ~PeakIonIsotopeMatch ()
virtual const PeptideNaturalIsotopeAverageSp & | getPeptideNaturalIsotopeAverageSp () const
PeakIonIsotopeMatch & | operator= (const PeakIonIsotopeMatch &other)
Public Member Functions inherited from pappso::PeakIonMatch
| PeakIonMatch (const DataPoint &peak, const PeptideFragmentIonSp &ion_sp, unsigned int charge)
| PeakIonMatch (const PeakIonMatch &other)
virtual | ~PeakIonMatch ()
virtual const PeptideFragmentIonSp & | getPeptideFragmentIonSp () const
const DataPoint & | getPeak () const
unsigned int | getCharge () const
PeptideIon | getPeptideIonType () const
PeptideDirection | getPeptideIonDirection () const

## Private Attributes

PeptideNaturalIsotopeAverageSp | _naturalIsotopeAverageSp

## Detailed Description

Definition at line 36 of file peakionisotopematch.h.

## Constructor & Destructor Documentation

## PeakIonIsotopeMatch() [1/2]

pappso::PeakIonIsotopeMatch::PeakIonIsotopeMatch | ( | const DataPoint & | peak,
|  | const PeptideNaturalIsotopeAverageSp & | naturalIsotopeAverageSp,
|  | const PeptideFragmentIonSp & | ion_sp
| ) |  |

Definition at line 30 of file peakionisotopematch.cpp.

: PeakIonMatch(peak, ion_sp, naturalIsotopeAverageSp.get()->getCharge()),
_naturalIsotopeAverageSp(naturalIsotopeAverageSp)
{
}
pappso::PeakIonIsotopeMatch::_naturalIsotopeAverageSp
PeptideNaturalIsotopeAverageSp _naturalIsotopeAverageSp
Definition: peakionisotopematch.h:53
pappso::PeakIonMatch::PeakIonMatch
PeakIonMatch(const DataPoint &peak, const PeptideFragmentIonSp &ion_sp, unsigned int charge)
Definition: peakionmatch.cpp:35

## PeakIonIsotopeMatch() [2/2]

pappso::PeakIonIsotopeMatch::PeakIonIsotopeMatch | ( | const PeakIonIsotopeMatch & | other | ) |

Definition at line 39 of file peakionisotopematch.cpp.

: PeakIonMatch(other),
_naturalIsotopeAverageSp(other._naturalIsotopeAverageSp)
{
}

## ~PeakIonIsotopeMatch()

pappso::PeakIonIsotopeMatch::~PeakIonIsotopeMatch | ( |  | ) |

virtual

Definition at line 45 of file peakionisotopematch.cpp.

{
}

## Member Function Documentation

## getPeptideNaturalIsotopeAverageSp()

const PeptideNaturalIsotopeAverageSp & pappso::PeakIonIsotopeMatch::getPeptideNaturalIsotopeAverageSp | ( |  | ) | const

virtual

Definition at line 49 of file peakionisotopematch.cpp.

{
return _naturalIsotopeAverageSp;
}

References _naturalIsotopeAverageSp.

Referenced by pappso::QCPSpectrum::addMassDelta().

## operator=()

PeakIonIsotopeMatch & pappso::PeakIonIsotopeMatch::operator= | ( | const PeakIonIsotopeMatch & | other | ) |

Definition at line 56 of file peakionisotopematch.cpp.

{
_naturalIsotopeAverageSp = other._naturalIsotopeAverageSp;
return *this;
}

References _naturalIsotopeAverageSp.

## Member Data Documentation

## _naturalIsotopeAverageSp

PeptideNaturalIsotopeAverageSp pappso::PeakIonIsotopeMatch::_naturalIsotopeAverageSp

private

Definition at line 53 of file peakionisotopematch.h.

Referenced by getPeptideNaturalIsotopeAverageSp(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/psm/peakionisotopematch.h
- pappsomspp/psm/peakionisotopematch.cpp